> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add templates to document in envelope

POST https://demo.docusign.net/restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/templates
Content-Type: application/json

Adds templates to a document in the specified envelope.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/envelopes/envelopetemplates/applytodocument

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `documentId` (string, required) — The ID of the document being accessed.
- `envelopeId` (string, required) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

### Body (application/json)

This endpoint expects a documentTemplateList.

- `documentTemplates` (list of documentTemplate, optional)

## Response

### 201

Successful response.

- `documentTemplates` (list of documentTemplate, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### documentTemplate

- `documentEndPage` (string, optional)
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `documentStartPage` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `templateId` (string, optional) — The unique identifier of the template. If this is not provided, DocuSign generates an error and the call fails.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "documentTemplates": [
    {
      "documentEndPage": "string",
      "documentId": "string",
      "documentStartPage": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "templateId": "string"
    }
  ]
}
```